/*
 * Copyright (c) 2004 Iwata <iwata@quasiquote.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <stdlib.h>
#include <string.h>

void
test1()
{
}

int
test2()
{
	return 1234;
}

double
test3()
{
	return 1.234;
}

int
test4(int i)
{
	return i + 1;
}

int
test5(char * s)
{
	return strlen(s);
}

char*
test6(char *s)
{
	char *newstr;
	int len;

	len = strlen(s);
	newstr = malloc(len + 3);
	strlcpy(newstr, s, 3);
	strlcat(newstr, "cd", 5);
	return newstr;
}

char
test7(char c)
{
	return c + 1;
}

char*
test8()
{
	return "test";
}

char *
test9(char *s)
{
	return s;
}

void
test10(char *s)
{
	strlcpy(s, "test", 10);
}

